#!/bin/sh
#
# This script handle updates for /etc/resolv.conf from the
# dhcp6c client
#
OPTS=""
while read -r cmd para ; do
	case $cmd in
		"#*")
			;;
		"nameserver")
			OPTS="$OPTS -n $para "
			;;
		"search")
			OPTS="$OPTS -l $para "
			;;
		*)
			;;
	esac
done < $1
			
if [ -z "$OPTS" ]; then
	exit 0;
fi
/sbin/modify_resolvconf modify -s dhcp6c -p dhcp6c -t "created from $1" $OPTS
exit 0
